Skip to main content
POST
/
cart
/
get
Retrieve Cart and Items
curl --request POST \
  --url https://v3.minestorecms.com/api/cart/get \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://v3.minestorecms.com/api/cart/get"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://v3.minestorecms.com/api/cart/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "cart": {
    "id": 123,
    "user_id": 456,
    "gift_id": null,
    "gift_sum": 10,
    "coupon_id": null,
    "coupon_sum": 5,
    "referral": null,
    "gift_code": "GIFT2024",
    "coupon_code": "COUPON2024",
    "coupon_type": "percentage",
    "coupon_value": 15,
    "referral_code": "REF123"
  },
  "items": [
    {
      "name": "Item Name",
      "image": "/img/items/789.png",
      "cid": 789,
      "price": 29.99,
      "is_subs": true,
      "virtual_price": 19.99,
      "is_virtual_currency_only": false,
      "id": 101,
      "vars": [
        {
          "id": 202,
          "name": "Color",
          "value": "Red"
        }
      ],
      "count": 2,
      "quantityGlobalLimit": 10,
      "quantityGlobalCurrentLimit": 5,
      "quantityUserLimit": 3,
      "quantityUserCurrentLimit": 1,
      "is_unavailable": false,
      "payment_type": 0,
      "is_any_price": true,
      "min_price": 10,
      "allow_select_server": true,
      "allowed_servers": [
        {
          "server_id": 1,
          "server_name": "Server A"
        }
      ],
      "selected_server": 1
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successful retrieval of cart and items.

cart
object
items
object[]